Hello,

I have compiled SQLite.c from ruby-dbi on OS X, but when I try to load 
it in ruby with 'require "sqlite"' I get the following eror message:

irb(main):001:0> require 'sqlite'
LoadError: Failed to lookup Init function 
/usr/local/lib/ruby/site_ruby/1.8/powerpc-darwin/sqlite.bundle
         from /usr/local/lib/ruby/site_ruby/1.8/powerpc-darwin/sqlite.bundle
         from (irb):1

I tried both 1.8.1 and stable-snapshot without success. The extension 
works in 1.8.1 on Linux.

You can find a snapshot of the extension directory here:
http://andreas-s.net/tmp/dbd-sqlite.tar.gz

Any hints?

Andreas